<div class="note_div" *ngIf="is_account_active==false" style="color: #fff8bb;">
  <h4 style="color: #daa000;"><i class="fa fa-exclamation-triangle"></i> 
 Please Activate Your Account 
  <!-- You need to activate your account to register yourself as a seller -->
  </h4>
</div>
<section class="container">
  <div class="setting_card">
    <div class="tabs-v">
      <input type="radio" name="tabs-v" id="tab1-v" checked="checked">
      <label for="tab1-v">
        <img src="/assets/img/account.svg">
        <p>Accounts</p>
      </label>
      <div class="tab-content">
        <div>
          <div class="txt-tab">
            <div class="row">
              <div class="col-md-4">
                <h5>Email</h5>
              </div>
              <div class="col-md-8">
                <div class="form-group">
                  <input type="email" class="form-control" name="" placeholder="" [(ngModel)]="user_emailAddress"
                    disabled />
                </div>
              </div>
            </div>
            <hr  class="mobile_hr"/>
            <div class="row">
              <div class="col-md-4">
                <h5>Account Deactivation</h5>
              </div>
              <div class="col-md-8">
                <h6>What happens when you deactivate your account?</h6>
                <ul>
                  <li>Your profile and Gigs won't be shown on Taskmer anymore. <i class="fa fa-info-circle"></i></li>
                  <li>Active orders will be cancelled. <i class="fa fa-info-circle"></i></li>
                  <li>You won't be able to re-activate your Gigs. <i class="fa fa-info-circle"></i></li>
                </ul>
              </div>
            </div>
            <hr  class="mobile_hr"/>
            <div class="row">
              <div class="col-md-4">
                <h5>I'm leaving because...</h5>
              </div>
              <div class="col-md-8">
                <select class="form-control form_control_border_radius" name="deactivate_reason"
                  [(ngModel)]="deactivateReasonList.id">
                  <option value="0">Choose a reason</option>
                  <ng-container *ngFor="let option of deactivate_Reason_List">
                    <!-- <option><B>{{option.head_name}}</B></option> -->
                    <!-- <ng-container *ngIf="getLableName(option.head_name,deactivate_Reason_List)!=''"> -->
                    <optgroup label="{{getLableName(option.head_name,deactivate_Reason_List)}}">
                      <ng-container *ngFor="let item of getReasonList(option.head_name,deactivate_Reason_List)">
                        <option *ngIf="item.user_deactivate_reason_name!=''" value={{item.id}}>
                          {{item.user_deactivate_reason_name}}
                        </option>
                      </ng-container>
                    </optgroup>
                    <!-- </ng-container> -->
                  </ng-container>
                </select>
                <span class="error_msg" *ngIf="checkvalidation_deactivteAccount && deactivateReasonList.id==0">
                  Please Select a reason
                </span>
              </div>
            </div>
            <div class="row"
              *ngIf="deactivateReasonList.id==4 || deactivateReasonList.id==10 || deactivateReasonList.id==15">
              <div class="col-md-4">
                <h5>Other</h5>
              </div>
              <div class="col-md-8">
                <div class="form-group">
                  <input type="text" class="form-control" name="otherReason" placeholder=""
                    [(ngModel)]="other_reason" />
                </div>
              </div>
            </div>
            <div class="my-btn-container"><a class="btn btn-primary my-btn" [class.disabled]="is_account_active==false" (click)="onDeactivateAcc()">Deactivate
                Account</a></div>
          </div>
        </div>
      </div>
      <!-- [disabled]="currentLesson !== '1'" -->

      <input type="radio" name="tabs-v" id="tab2-v">
      <label for="tab2-v">
        <img src="/assets/img/security.svg">
        <p>Security</p>
      </label>
      <div class="tab-content">
        <div class="txt-tab">
          <div class="row">
            <div class="col-md-12 mb-4">
              <h5>SET PASSWORD</h5>
            </div>
          </div>
          <div class="row">
            <div class="col-md-4">
              <h5>Current Password</h5>
            </div>
            <div class="col-md-8 col-xs-12 form-group">
              <input type="password" class="form-control" name="currentPassword" placeholder="Enter Current Password"
                maxlength="12" id="current_Password" [(ngModel)]="currentPassword" #txt_currentPassword="ngModel" onpaste="return false"
                (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()" required />
              <i id="pass_status_currentPassword" class="fa fa-eye-slash eye_icon_css_change_and_Reset_password"
                aria-hidden="true" onClick="showPassword(current_Password,pass_status_currentPassword)"></i>
              <span class="error_msg" *ngIf="checkvalidationChangePassword && txt_currentPassword.errors?.required">
                Please Enter Current Password
              </span>
            </div>

          </div>
          <hr class="mobile_hr"/>
          <div class="row">
            <div class="col-md-4">
              <h5>New Password</h5>
            </div>
            <div class="col-md-8 col-xs-12 form-group">
              <input type="password" class="form-control" name="newPassword" placeholder="Enter New Password" onpaste="return false"
                id="new_Password" [(ngModel)]="newPassword" maxlength="12" #txt_newPassword="ngModel"
                (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()" required />
              <i id="pass_status_newPassword" class="fa fa-eye-slash eye_icon_css_change_and_Reset_password"
                aria-hidden="true" onClick="showPassword(new_Password,pass_status_newPassword)"></i>
              <span class="error_msg" *ngIf="checkvalidationChangePassword && txt_newPassword.errors?.required">
                Please Enter New Password
              </span>
            </div>
          </div>

          <hr class="mobile_hr"/>
          <div class="row">
            <div class="col-md-4">
              <h5>Confirm Password</h5>
            </div>
            <div class="col-md-8 col-xs-12 form-group">

              <input type="password" class="form-control" name="confirmPassword" placeholder="Enter Confirm Password" onpaste="return false"
                id="confirm_Password" [(ngModel)]="confirmPassword" #txt_confirmPassword="ngModel" maxlength="12"
                (keypress)="$event.keyCode != 32 ? $event:$event.preventDefault()" required />
              <!-- <p> 8 characters or longer. Combine upper and lowercase letters and numbers.</p> -->
              <i id="pass_status_confirmPassword" class="fa fa-eye-slash eye_icon_css_change_and_Reset_password"
                aria-hidden="true" onClick="showPassword(confirm_Password,pass_status_confirmPassword)"></i>
              <span class="error_msg" *ngIf="checkvalidationChangePassword && txt_confirmPassword.errors?.required">
                Please Enter Confirm Password
              </span>
              <!-- <p>Minimum eight characters, at least one letter, one number and one special character!</p> -->
              <h5 style="font-size: 13px;font-weight: 500;">
                <span style="color: #19b5fe;font-weight: 600;"><i class="fa fa-info-circle"></i> <span> Please Note
                    :
                  </span></span> <span>Minimum eight characters, at least one letter, one number and one special
                  character!</span>
              </h5>
            </div>
          </div>

          <div class="my-btn-container"><a class="btn btn-primary my-btn" (click)="onClickSavePassword()">Save
              Changes</a></div>
        </div>
      </div>

      <input type="radio" name="tabs-v" id="tab3-v">
      <label for="tab3-v" (click)="onBillingInfoClick()">
        <img src="/assets/img/Billing_info.svg">
        <p>Billing Info</p>
      </label>
      <div class="tab-content">
        <div>
          <div class="txt-tab">
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Full Name <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="full_name" [(ngModel)]="full_name" required
                  maxlength="100" placeholder="Enter Full Name" #txt_full_name="ngModel"
                  (keypress)="onlyCharacters_withApostrophe($event)" />
                <span class="error_msg" *ngIf="checkvalidation_billingInfo && txt_full_name.errors?.required">
                  Please Enter Full Name
                </span>
              </div>
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Company Name</h5>
                <input type="text" class="form-control" name="company_name" [(ngModel)]="company_name" required
                  maxlength="100" placeholder="Enter Company Name" #txt_company_name="ngModel" />
                <!-- <span class="error_msg" *ngIf="checkvalidation_billingInfo && txt_company_name.errors?.required">
                  Please Enter Company Name
                </span> -->
              </div>
            </div>
            <hr class="mobile_hr"/>
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Address Line 1 <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="address_line_one" [(ngModel)]="address_line_one" required
                  maxlength="200" placeholder="Enter Address" #txt_address_line_one="ngModel" />
                <span class="error_msg" *ngIf="checkvalidation_billingInfo && txt_address_line_one.errors?.required">
                  Please Enter Address Line 1
                </span>
              </div>
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Address Line 2</h5>
                <input type="text" class="form-control" name="address_line_two" [(ngModel)]="address_line_two" required
                  maxlength="200" placeholder="Enter Address" #txt_address_line_two="ngModel" />
                <!-- <span class="error_msg" *ngIf="checkvalidation_billingInfo && txt_address_line_two.errors?.required">
                  Please Enter Address Line 2
                </span> -->
              </div>
            </div>
            <hr class="mobile_hr"/>
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Country <span class="star_mark">*</span></h5>
                <select class="form-control form_control_border_radius" name="country" [(ngModel)]="getCountry.id"
                  required (change)="onChangeCountry()">
                  <option value="0">Select Country</option>
                  <option *ngFor="let option of countryList" value={{option.id}}>
                    {{option.country_name}}
                  </option>
                </select>
                <span class="error_msg" *ngIf="checkvalidation_billingInfo && getCountry.id==0">
                  Please Select Country
                </span>
              </div>
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">State/Union territory <span class="star_mark">*</span> </h5>
                <select class="form-control" [disabled]="getCountry.id==0" (change)="onChangeState()"
                  [(ngModel)]="getState.id" required>
                  <option value="0">Select State</option>
                  <option *ngFor="let option of stateList" value={{option.id}}>
                    {{option.state_name}}
                  </option>
                </select>
                <span class="error_msg" *ngIf="checkvalidation_billingInfo && getState.id==0 && getCountry.id>0">
                  Please Select State
                </span>
              </div>
            </div>
            <hr class="mobile_hr"/>
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">City <span class="star_mark">*</span></h5>
                <select class="form-control" [disabled]="getState.id==0 || getCountry.id==0" [(ngModel)]="getCity.id"
                  required>
                  <option value="0">Select City</option>
                  <option *ngFor="let option of cityList" value={{option.id}}>
                    {{option.city_name}}
                  </option>
                </select>
                <span class="error_msg" *ngIf="checkvalidation_billingInfo && getCity.id==0 && getState.id>0">
                  Please Select City
                </span>
              </div>
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">ZIP/Postal code <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="zip_postal_code" [(ngModel)]="zip_postal_code" id="postal_code" required
                  placeholder="Enter ZIP/Postal code" (keypress)="onlyNumbers($event)" maxlength="6" (blur)="Validate_pinCode($event.target.value, 'postal_code')"
                  #txt_postal_code="ngModel" />
                <span class="error_msg" *ngIf="checkvalidation_billingInfo && txt_postal_code.errors?.required">
                  Please Select City
                </span>
              </div>
            </div>
            <div class="my-btn-container"><a class="btn btn-primary my-btn" (click)="onSaveBillingInfo()">Save
                Changes</a></div>
          </div>
        </div>
      </div>
      <input type="radio" name="tabs-v" id="tab4-v">
      <label for="tab4-v" (click)="getBank_accountDetails()">
        <img src="/assets/img/Bank_Account.svg">
        <p>Bank Account</p>
      </label>
      <div class="tab-content">
        <div>
          <div class="txt-tab">
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Account Holder Name <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" #txt_Acc_holder_name="ngModel" name="acc_holder_name"
                  placeholder="Enter Account Holder Name" [(ngModel)]="account_holder_name" required maxlength="100"
                  (kepress)="onlyCharacters_withApostrophe($event)"  autocomplete="off"/>
              </div>
              <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_Acc_holder_name.errors?.required">
                Please Enter Account Holder Name
              </span>
            </div>
            <hr class="mobile_hr"/>
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Account No <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="acc_no" #txt_acc_no="ngModel"
                  placeholder="Enter Account No" [(ngModel)]="account_no" id="account_No" required maxlength="18"
                  minlength="9" onpaste="return false;" (keypress)="onlyNumbers($event)"  autocomplete="off" (blur)="Validate_bankAccountNo($event.target.value, 'account_No')"/>
                <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_acc_no.errors?.required">
                  Please Enter Account No
                </span>
              </div>

              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Re-Enter Account No <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="reenter_acc_no" #txt_reenter_acc_no="ngModel"
                  placeholder="Re-Enter Account No" [(ngModel)]="reEnter_account_no" required maxlength="18"
                  minlength="9" onpaste="return false;" (keypress)="onlyNumbers($event)" autocomplete="off" />
                <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_reenter_acc_no.errors?.required">
                  Please Re-Enter Account No
                </span>
              </div>

            </div>
            <hr class="mobile_hr"/>

            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Bank Name <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="bankname" #txt_bankname="ngModel"
                  placeholder="Enter Bank Name" [(ngModel)]="bank_name" required maxlength="100"
                  (kepress)="onlyCharacters($event)" autocomplete="off"/>
              </div>
              <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_bankname.errors?.required">
                Please Enter Bank Name
              </span>
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Branch Name <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" #txt_branchname="ngModel" name="branchname"
                  placeholder="Enter Branch Name" [(ngModel)]="branch_name" required maxlength="100"
                  (kepress)="onlyCharacters($event)" autocomplete="off"/>
              </div>
              <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_branchname.errors?.required">
                Please Enter Branch Name
              </span>
            </div>
            <hr class="mobile_hr"/>
            <div class="row">
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">IFSC Code <span class="star_mark">*</span></h5>
                <input type="text" class="form-control" name="IFSC" #txt_IFSC="ngModel" oninput="this.value = this.value.toUpperCase()" placeholder="Enter IFSC Code"
                  id="IFSC" [(ngModel)]="IFSC_code" required maxlength="11"
                  (blur)="Validate_IFSC_code($event.target.value, 'IFSC')" autocomplete="off"/>
              </div>
              <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_IFSC.errors?.required">
                Please Enter IFSC Code
              </span>
              <div class="col-md-6 form-group">
                <h5 class="h5_billing_info">Bank Address</h5>
                <textarea class="form-control" rows="2" placeholder="Type here..." #txt_bankaddress="ngModel"
                  [(ngModel)]="bank_address" autocomplete="off"></textarea>
              </div>
              <!-- <span class="error_msg" *ngIf="checkvalidation_bankDetails && txt_bankaddress.errors?.required">
                            Please Enter Bank Address
                          </span> -->
            </div>


            <!-- <div class="row">
                          <div class="col-md-6">
                            <h5 class="h5_billing_info">Bank</h5>
                            <select class="form-control" disabled="disabled">
                              <option>Choose Country</option>
                              <option selected="">India</option>
                              <option>1</option>
                              <option>1</option>
                              <option>1</option>
                            </select>
                          </div>
                          <div class="col-md-6">
                            <h5 class="h5_billing_info">State/Union territory <span class="star_mark">*</span></h5>
                            <select class="form-control">
                              <option>Choose State/Union territory</option>
                              <option>1</option>
                              <option>1</option>
                              <option>1</option>
                              <option>1</option>
                            </select>
                          </div>
                        </div> -->

            <div class="my-btn-container"><a class="btn btn-primary my-btn" (click)="submitBank_details()">Submit</a>
            </div>
          </div>
        </div>
      </div>

    </div>
  </div>
</section>